Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 590415 - RHEVM Backend: [RFE] improve "reboot" operation for host
Summary: RHEVM Backend: [RFE] improve "reboot" operation for host
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: unspecified
Hardware: All
OS: Windows
low
medium
Target Milestone: ---
: ---
Assignee: lpeer
QA Contact:
URL:
Whiteboard: papercut, infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-09 13:05 UTC by yeylon@redhat.com
Modified: 2016-04-18 06:32 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-11 06:41:29 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description yeylon@redhat.com 2010-05-09 13:05:23 UTC
Description of problem:

when a host is being sent to "reboot" from with in the system (by power management or installing) it will stay in this (rebooting) state for 5 min (default configuration parameter) the host will stay in this state for the full timeout duration even if in the real life it is already up.

please improve this mechanism by trying to interact with a host in rebooting status once every 10~15 sec. using xml-rpc to see if it is back online.
 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Itamar Heim 2012-12-11 06:41:29 UTC
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.


Note You need to log in before you can comment on or make changes to this bug.